Home

# Class goog.ds.XmlDataSource

Data source whose backing is an xml node

extends goog.ds.DataNode

Instance Method Summary
| `createAttributes_()` Creates the DataNodeList with the attributes for the element Allows for only building list as needed.
| `createChildNodes_()` Creates the DataNodeList with the child nodes for this element. Allows for only building list as needed.
| `get() ⇒ ?Object` Get the value of the node
| `getChildNode(string name) ⇒ ?goog.ds.DataNode` Gets a named child node of the current node
| `getChildNodeValue(string name) ⇒ ?Object` Gets the value of a child node
| `getChildNodes(string= opt_selector) ⇒ ?goog.ds.DataNodeList` Gets all of the child nodes of the current node. Should return an empty DataNode list if no child nodes.
| `getDataName() ⇒ string` Get the name of the node relative to the parent node
| `getDataPath() ⇒ string` Gets the a qualified data path to this node
| `getLoadState() ⇒ ?goog.ds.LoadState` Gets the state of the backing data for this node
| `load()` Load or reload the backing data for this node
| `set(?Object value)` Set the value of the node
| `setDataName(string name)` Setthe name of the node relative to the parent node
| `setNode_(?Node node)` Set the current root nodeof the data source. Can be an attribute node, text node, or element node

Static Method Summary
| `createChildlessDocument_() ⇒ ?Document` Creates an XML document with one empty node. Useful for places where you need a node that can be queried against.
| `isEmptyTextNodeValue_(string str) ⇒ boolean` Check whether a node is an empty text node. Nodes consisting of only white space (#x20, #xD, #xA, #x9) can generally be collapsed to a zero length text string.